$(document).ready(function() {
	/*************CFG*/
	var audioElement = document.createElement('audio');
	var startuoja = 1;
	/***************/

	var frameTime = [];

	$('.ppt li').each(function() {
		frameTime.push($(this).data('duration'));
	});

	var lineWidth = 976.0/(frameTime.length);
	var realFrameTime = frameTime[0];

	var progbar = $('ul.ppt').data('progressbar');
	var prog_bg = $('div#progress0');
	var prog_fill = $('div#progress_full');

	prog_bg.css('background', 'url("' + progbar + '_bg.png") repeat-x scroll 0% 0% transparent');
	prog_fill.css('background', 'url("' + progbar + '_fill.png") repeat-x scroll 0% 0% transparent');

	$('.ppt li:gt(0)').hide();
	$('.ppt li:last').addClass('last');
	$('.ppt li:first').addClass('first');

	$('.ppt2 li:gt(0)').hide();
	$('.ppt2 li:last').addClass('last');
	$('.ppt2 li:first').addClass('first');
	showPlay();

	var cur = $('.ppt li:first');
	var cur2 = $('.ppt2 li:first');
	var action = '';
	var selected = 0;

	function showPause() {
		$('#play').hide();
		$('#stop').show();
	}

	function showPlay() {
		$('#stop').hide();
		$('#play').show();
	}

	$("#speaker_ch_cik").click(function() {
		if (audioElement.volume === 1) {
			audioElement.volume = 0;
		} else {
			audioElement.volume = 1;
		}
	});

	$("#stop").click(function() {
		audioElement.pause();
		$(prog_fill).stop();
		realFrameTime = frameTime[$(cur).index('.ppt li')] / lineWidth * (lineWidth * ($(cur).index('.ppt li')) - $(prog_fill).width());
		action = 'stoped';
		showPlay();
	});

	$("#play").click(function() {
		if (action === 'finished') {
			$(cur).fadeOut();
			cur = $('.ppt li:first');
			$(cur).fadeIn();
			$(cur2).fadeOut();
			cur2 = $('.ppt2 li:first');
			$(cur2).fadeIn();
			$(prog_fill).stop().css({width: '0px'});
			action = '';
			realFrameTime = frameTime[0];
		}

		start();
		showPause();
	});

	for(var i = 0, len = frameTime.length; i < len; ++i) {
		(function(i){
			var btn = $('<div>');
			btn.addClass('playerButton');
			btn.css({
				marginRight: (i === frameTime.length) ? 0 : lineWidth - 10.4 + 'px'
			});

			btn.on('click', function() {
				selected = i;

				prog_fill.stop().css({
					width: (selected - 1) * lineWidth + 'px'
				});

				showPause();
				continuePlay();
			});

			prog_bg.append(btn);
		})(i+1);
	}

	function continuePlay() {
		$(cur).fadeOut();
		$(cur2).fadeOut();

		if (selected > 0) {
			var selectedElement = $('.ppt li').get(selected - 1);
			cur = selectedElement;
			var selectedElement2 = $('.ppt2 li').get(selected - 1);
			cur2 = selectedElement2;
			selected = 0;
		} else {
			cur = $(cur).next();
			cur2 = $(cur2).next();
		}

		$(cur).fadeIn();
		$(cur2).fadeIn();
		startuoja = 1;
		start();
	}

	function start() {
		var index = $(cur).index('.ppt li') + 1;

		if (startuoja === 1) {
			if (audioElement.paused) {
				audioElement.setAttribute('src', $('ul.ppt').data('audio'));
				audioElement.setAttribute('autoplay', 'autoplay');
				startuoja = 0;
			}
		}

		if (audioElement.paused) {
			audioElement.play();
		} else {
			//audioElement.play();
		}

		if (action !== 'stoped') {
			realFrameTime = frameTime[index-1];
		} else {
			action = '';
		}

		$(prog_fill).animate({width: (index * lineWidth) + 'px'}, realFrameTime, '', function() {
			if ($(cur).attr('class') !== 'last') {
				continuePlay();
			} else {
				// audioElement.setAttribute('src', $('ul.ppt').data('audio'));
				// audioElement.pause();
				// action = 'finished';
				// showPlay();
			}
		});
	}
});