$(document).ready(function() {

    /*************CFG*/
    var my_jPlayer = $("#jquery_jplayer");
    var lineWidth = 148;
    var frameTime = [];
    frameTime[1] = 5000;
    frameTime[2] = 5000;
    frameTime[3] = 5000;
    frameTime[4] = 5000;
    frameTime[5] = 5000;
    frameTime[6] = 5000;
    var playmode = 0;
    var audioElement = document.createElement('audio');
    var realFrameTime = frameTime[1];
    var startuoja = 1;
    /***************/

    $('.ppt li:gt(0)').hide();
    $('.ppt li:last').addClass('last');
    $('.ppt li:first').addClass('first');
    showPlay();

    var cur = $('.ppt li:first');
    var action = '';
    var selected = 0;

    function showPause() {
        $('#play').hide();
        $('#stop').show();
    }

    function showPlay() {
        $('#stop').hide();
        $('#play').show();
    }

    $("#stop").click(function() {
        $("#progress_full").stop();
        realFrameTime = frameTime[$(cur).index('.ppt li') + 1] / lineWidth * (lineWidth * ($(cur).index('.ppt li') + 1) - $("#progress_full").width());
        action = 'stoped';
        showPlay();
    });

	var total = 0;
	
    $("#play").click(function() {

        if (action === 'finished') {
            $(cur).fadeOut();
            cur = $('.ppt li:first');
            $(cur).fadeIn();
            $("#progress_full").stop().css({width: '0px'});
            action = '';
            realFrameTime = frameTime[1];
        }

        start();
        showPause();
    });

    $('.playerButton').click(function() {
        selected = this.id;
		
			total = selected-1;
			
        $("#progress_full").stop().css({width: (selected - 1) * lineWidth + 'px'});
        showPause();
        continuePlay();
    });

    function continuePlay() {

        $(cur).fadeOut();
        if (selected > 0) {
            var selectedElement = $('.ppt li').get(selected - 1);
            cur = selectedElement;
            selected = 0;
        }
        else {
            cur = $(cur).next();
        }

        $(cur).fadeIn();
		
		total++;
		
		$('.earth').animate({width: (705 - (100 * total)) + 'px', left: 50 * total + 20 + 'px', top: 15 * total + 140 + 'px' }, 1000)
		
        startuoja = 1;
        start();
    }

    function start() {
        var index = $(cur).index('.ppt li') + 1;

        if (action !== 'stoped') {
            realFrameTime = frameTime[index];
        }
        else {
            action = '';
        }
		
		extra = 0;
		
		if(index == $('.ppt li').length){
			extra = 128;
		}
		
        $("#progress_full").animate({width: (index * lineWidth + extra) + 'px'}, realFrameTime, '', function() {
            if ($(cur).attr('class') !== 'last') {
                continuePlay();
            }
            else {
                action = 'finished';
                showPlay();
				total = 0;
            }
        });
    }
});