/*
Funkcija getMapBurbleAnswers(kiekis,correctKiekis,show,test,id,atsKiekis) tikrina zemelapyje pazymetus bubuliukus.
Burbuliukai turi tureti klase - burble_button (aprasyta style_1920.css gale)
 atributa - data-marked="0"(indikuoja ar jis pazymetas ar ne) ir data-true="1" (teisingiems bubuliukams)
ir id=burble1, id=burble2, ir t.t.
kiekis - kiek is viso yra burbuliuku
correctKiekis - kiek teisingu
show - ar rodyti teisingus/neteisingus atsakymus
test - ar vyksta testas-kontrolinis
id - uzduoties numeris
atsKiekis - teisingu atsaky,u kiekis

Privalo buti 4 png :
img/main/vulkanizmas_i1_dropzone_correct.png
img/main/vulkanizmas_i1_dropzone
img/main/vulkanizmas_i1_dropzone_wrong
img/main/vulkanizmas_i1_dropzone2

ir scriptas zymintis data-marked=0/1. Scriptas randamas dragndrop.js pradzioje
*/
function getMapBurbleAnswers(kiekis,correctKiekis,show,test,id,atsKiekis){
    localStorage.setItem('answerCount'+id,atsKiekis);
tries=0;
i=1;
correct=0;
while(i<=kiekis){

if($('#burble'+i).data('marked')==1){
tries++;
}

if($('#burble'+i).data('marked')==1 && $('#burble'+i).data('true')==1){
correct++;
if(show==1){
$('#burble'+i).css('background','transparent url(img/main/vulkanizmas_i1_dropzone_correct.png) no-repeat');
}
} else if( $('#burble'+i).data('true')!=1 && $('#burble'+i).data('marked')==1) {
    correct--;
if(show==1){
$('#burble'+i).css('background','transparent url(img/main/vulkanizmas_i1_dropzone_wrong.png) no-repeat');
}
}

i++;
/* blogai veikia, nes teisingus atsakymus nepadaro marked=1 o tik apvelka i correct image.
if(show==1 && $('#burble'+i).data('true')==1 ){
    $('#burble'+i).css('background','transparent url(img/main/vulkanizmas_i1_dropzone_correct.png) no-repeat');
}*/

}


    if (test == 1) {

        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }


            if (correct === correctKiekis) {

                localStorage.setItem('result' + id, 1);
            }


        localStorage.setItem('resultCount' + id, correct);

    }
    else{

        if (correct == correctKiekis && tries==correctKiekis) {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            if (show == 1) {
                $(".black_overlay").fadeOut();
                $(".incorrect_test").fadeOut();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".incorrect_test").fadeIn();
            }
        }
    }
}



function getDropDownAnswers(count, showError, test, id, atsKiekis) {
    var i;
    var corranswrs = 0;
    var tries = 0;
    var err = 0;
    localStorage.setItem('answerCount' + id, atsKiekis);
    for (i = 1; i <= count; i++) {
        correct = $("#list" + i + "_this").text();
        selected = $("#list" + i + "_txt").text();

        if (selected.length > 1) {
            tries++;
        }


        if (correct.toLowerCase() == selected.toLowerCase()) {
             corranswrs++;
            if (showError == 1) {
                $("#list" + i).css("border", "3px solid green");
            }
        }
        else {
            err++;
            if(showError == 1){
                $("#list" + i).css("border", "3px solid red");
            }

        }
    }
//console.log('count: ' +  count + ' corranswrs: ' + corranswrs +   ' tries: ' + tries + ' atsKiekis: ' + atsKiekis );

    if (test == 1) {

        if (tries == count) {
// return "green";
            localStorage.setItem('color' + id, '#5c9e00');
        }
        if (tries < count && tries > 0) {
// return "yellow";
            localStorage.setItem('color' + id, '#ffa70f');
        }
        if (tries == 0) {
// return "grey";
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (corranswrs == atsKiekis) {
            localStorage.setItem('result' + id, 1);
        }
        localStorage.setItem('resultCount' + id, corranswrs);

    }

    else {
        if (showError === 1) {
            $(".black_overlay").fadeOut();
            $(".incorrect_test").fadeOut();
            $(".correct_test").fadeOut();
        }
        else {
            if (count ==  corranswrs) {
                $(".black_overlay").fadeIn();
                $(".correct_test").fadeIn();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".incorrect_test").fadeIn();
            }
        }
    }
}


//interaktyvios uzduoties, kurioje naudojami radio buttons, pagal paduota teisinga atsakyma jis pazymimas. Yra keli tipai (dydziai)
function showError(element, correct, incorrect, type, test, id) {
    if ($('input:radio[name="toggle' + element + '"]:checked').val() !== correct) {

        if (type === "under_img") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "16px 0px")
                    .css("top", "-18px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "16px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");
            }
        }
        else if (type === "large") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "27px 0px")
                    .css("top", "-19px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "26px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");
            }
        }
        else if (type === "history") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "13px 23px")
                    .css("top", "-18px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "14px 20px")
                        .css("top", "-23px")
                        .css("position", "relative")
                        .css("marginTop", "0");
            }
        }
        else if (type === "pramone") {
            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').parent().css("border", "solid 3px green")
            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("margin-top", "-5px")
        }
        else if (type === "multicheckbox") {
            /*koreguota 2014-07-28 taisant is_30  15 uzduoti*/

            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("margin-top", "0px");
            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("height", "27px");
            $('input:checkbox[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("line-height", "27px");
            if( $("input:checkbox[name='toggle" + element + "']").parent('label').parent('div').attr('id') == 'underimg_button'){

                        $('input:checkbox[name="toggle' + element + '"]').next('span').css("height", "49px");
                        $('input:checkbox[name="toggle' + element + '"]').next('span').css("line-height", "49px");
                    }

/* 2014-08-07 5 temos 5 uzduotis pridetas width:247 spanui kad normalei apibreztu borderi*/

            if( $("input:checkbox[name='toggle" + element + "']").parent('label').parent('div').hasClass('width247') ){
                        $("input:checkbox[name='toggle" + element + "']").parent('label').children('span').css('width','247');
                    }

        }
        else if (type === "dot") {
            $("#corr_dot").fadeIn();
        }
        else {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "10px 0px")
                    .css("top", "-18px")
                    .css("position", "relative");
            //Detect iPod
            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "10px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");
            }
        }
    }
}
//paduodamas atsakymu skaicius, teisingo atsakymo value, neteisingu atsakymu value ir is ju sprendzia ar atsakymas teisingas.
function getAnswers(answrs, correct, incorrect, show, type, test, id, atsKiekis) {

    tries = 0;
    correctCount = 0;
    localStorage.setItem('answerCount' + id, atsKiekis);
    var errorCounter = 0;
    var corrCount=0;
    if(type=="multicheckbox" && $('input:checkbox[name="toggle1"]').parent().parent().data('corr')>0){
    corrCount=$('input:checkbox[name="toggle1"]').parent().parent().data('corr');

    }
    if(type=="multicheckbox" && $('#rand_atsakymai').data('corr')>0){
    corrCount=$('#rand_atsakymai').data('corr');

    }
    if(type=="multicheckbox" && $('#rand_atsakymai1').parent().data('corr')>0){
    corrCount=$('#rand_atsakymai1').parent().data('corr');
    }

    for (var i = 1; i <= answrs; i++) {

        $('input:checkbox[name="toggle' + i + '"]').next('span').css("margin-top", "0px");
          if ($("input:checkbox[name='toggle" + i + "']").is(':checked')) {
            tries++;
        }
        if ($("input:checkbox[name='toggle" + i + "']").is(':checked') && $("input:checkbox[name='toggle" + i + "']").val() == correct) {
            correctCount++;
                        if (show === "1") {

/*2014-07-28 keista, padaryta kad uzdetu ant span borderi o ne ant tevo label ir nuimta -5px margin nuo span*/
                if ($("input:checkbox[name='toggle" + i + "']").is(':checked')) {
                    // $('input:checkbox[name="toggle' + i + '"]').parent().css("border", "solid 3px green")
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("margin-top", "0px");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("border", "3px solid  green");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("height", "27px");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("line-height", "27px");

                    if( $("input:checkbox[name='toggle" + i + "']").parent('label').parent('div').attr('id') == 'underimg_button'){
                        $('input:checkbox[name="toggle' + i + '"]').next('span').css("height", "49px");
                        $('input:checkbox[name="toggle' + i + '"]').next('span').css("line-height", "49px");
                    }

                    if( $("input:checkbox[name='toggle" + i + "']").parent('label').parent('div').hasClass('width247') ){
                        $("input:checkbox[name='toggle" + i + "']").parent('label').children('span').css('width','247');
                    }
                }
                }
        }

        else {

        if(type=="multicheckbox" && corrCount>0){
            if($("input:checkbox[name='toggle" + i + "']").prop('checked')=='true'){
                errorCounter++;
            }
                if (show === "1") {
/*2014-07-28 keista, padaryta kad uzdetu ant span borderi o ne ant tevo label ir nuimta -5px margin nuo span*/
                if ($("input:checkbox[name='toggle" + i + "']").is(':checked')) {
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("border", "3px solid  red");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("margin-top", "0px");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("height", "27px");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("line-height", "27px");

                    if( $("input:checkbox[name='toggle" + i + "']").parent('label').parent('div').attr('id') == 'underimg_button'){
                        $('input:checkbox[name="toggle' + i + '"]').next('span').css("height", "49px");
                        $('input:checkbox[name="toggle' + i + '"]').next('span').css("line-height", "49px");
                    }

                    if( $("input:checkbox[name='toggle" + i + "']").parent('label').parent('div').hasClass('width247') ){
                        $("input:checkbox[name='toggle" + i + "']").parent('label').children('span').css('width','247');
                    }
                }

                showError(i, correct, incorrect, type, test, id);

            }
        }
        else{

            errorCounter++;
            if (show === "1") {

                if ($("input:checkbox[name='toggle" + i + "']").is(':checked')) {
                    $('input:checkbox[name="toggle' + i + '"]').parent().css("border", "solid 3px red");
                    $('input:checkbox[name="toggle' + i + '"]').next('span').css("margin-top", "-5px");
                }
/* prideta 2014-07-25 taisant pirmasis pasaulinis karas 10 interaktyvia uzduoti */
                if( $("input:radio[name='toggle" + i + "']").is(':checked') ){
                    $("input:radio[name='toggle" + i + "']:checked").parent().css("border", "solid 3px red");
                }

                showError(i, correct, incorrect, type, test, id);

            }
        }
        }
    }
//console.log('errorCounter ' + errorCounter + ' correctCount ' + correctCount + ' tries ' + tries + ' answrs ' + answrs );
    if (test == 1) {

        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');
        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');
        }
        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (type == "multicheckbox") {
            localStorage.setItem('resultCount' + id, correctCount);
            if(atsKiekis==correctCount && correctCount == tries){
                localStorage.setItem('result' + id,1);
            }

        }
        else {
            localStorage.setItem('resultCount' + id, atsKiekis - errorCounter);
            if (errorCounter == 0) {
                localStorage.setItem('result' + id,1);
            }
        }

    }
    else {

            if(correctCount==corrCount && tries==corrCount) {
                $(".black_overlay").fadeIn();
                $(".correct_test").fadeIn();
            }
            else{
                if (show === "1") {
                    $(".black_overlay").fadeOut();
                    $(".incorrect_test").fadeOut();
                }
                else {
                    $(".black_overlay").fadeIn();
                    $(".incorrect_test").fadeIn();
                }
            }
    }
}


/*
Tikrina RadioButton inputu pagristus atdsakymus.
RadioButtons turi turti name='toggle1' atributa.
formName - formos, kurioje sudeti radioButons name
correct - teisingo atsakymo value reiksme
show - ar parodyti teisingus/neteisingu atsakymus
test - ar testas-kontrolinis
id - uzdavinio id test-kontrolinio metu
atsKiekis - teisingu atsakymu kiekis
*/
function getRadioAnswers(formName, correct, show, test, id, atsKiekis) {
    tries = 0;
    correctCount = 0;
    localStorage.setItem('answerCount' + id, atsKiekis);


    var all1 = $("form[name="+formName+ "]").children('input:radio[toggle1]');
    var radios = document.getElementsByName('toggle1');
    var radioGroup = document[formName]['toggle1'];
    //console.log(radioGroup);

    for(i=0; i<radioGroup.length; i++){
        $(radioGroup[i]).parent().children('span').css('border','0px solid #ebebeb');
        $(radioGroup[i]).parent().children('span').css('height','33px');
        $(radioGroup[i]).parent().children('span').css('line-height','33px');
        if( $(radioGroup[i]).parent('label').parent('div').attr('id') == 'underimg_button'){
                        $(radioGroup[i]).parent().children('span').css("height", "55px");
                        $(radioGroup[i]).parent().children('span').css("line-height", "55px");
                    }

        if( $(radioGroup[i]).is(':checked') && $(radioGroup[i]).val() == correct ){
            tries++;
            correctCount++;
            if(show==1){
                $(radioGroup[i]).parent().children('span').css('border','3px solid green');
                $(radioGroup[i]).parent().children('span').css('height','27px');
                $(radioGroup[i]).parent().children('span').css('line-height','27px');
                if( $(radioGroup[i]).parent('label').parent('div').attr('id') == 'underimg_button'){
                        $(radioGroup[i]).parent().children('span').css("height", "49px");
                        $(radioGroup[i]).parent().children('span').css("line-height", "49px");
                    }

            }
        }else if( $(radioGroup[i]).is(':checked') && $(radioGroup[i]).val() != correct ){
            tries++;
            correctCount--;

            if(show==1){
                $(radioGroup[i]).parent().children('span').css('border','3px solid red');
                $(radioGroup[i]).parent().children('span').css('height','27px');
                $(radioGroup[i]).parent().children('span').css('line-height','27px');
                if( $(radioGroup[i]).parent('label').parent('div').attr('id') == 'underimg_button'){
                        $(radioGroup[i]).parent().children('span').css("height", "49px");
                        $(radioGroup[i]).parent().children('span').css("line-height", "49px");
                    }
            }
        }

        if(show == 1 && $(radioGroup[i]).val() == correct){
            $(radioGroup[i]).parent().children('span').css('border','3px solid green');
            $(radioGroup[i]).parent().children('span').css('height','27px');
            $(radioGroup[i]).parent().children('span').css('line-height','27px');
            if( $(radioGroup[i]).parent('label').parent('div').attr('id') == 'underimg_button'){
                        $(radioGroup[i]).parent().children('span').css("height", "49px");
                        $(radioGroup[i]).parent().children('span').css("line-height", "49px");
                    }
        }
    }


    if (test == 1) {

        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

       if (correctCount === atsKiekis) {
            localStorage.setItem('result' + id, '1');
        }
        localStorage.setItem('resultCount' + id, correctCount);


    }
    else {
         if (correctCount === 1) {
        $(".black_overlay").fadeIn();
        $(".correct_test").fadeIn();
    }
    else{
        if (show == 1) {
            $(".black_overlay").fadeOut();
            $(".correct_test").fadeOut();
            $(".incorrect_test").fadeOut();

        }
            else {
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }

    }
    }
}


function getAnswersDots(corr, showError,test,id,count) {
var tries=0;
var correct=0;

    if (test == 1) {

         $(".plotas_uzduotis_5_dot_active").each(function() {
            if ($(this).css('display') === 'block') {
                tries++;
            }
        });

        if ($(corr).css("display") === "block") {
            correct++;
        }

        if (tries == count) {
// return "green";
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < count && tries > 0) {
// return "yellow";
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
// return "grey";
            localStorage.setItem('color' + id, '#c2c2c2');
        }

            if (count == correct) {

                localStorage.setItem('result' + id, 1);
            }

        localStorage.setItem('resultCount' + id, correct);

    }
    else if (showError === 1) {
        $("#plotas_uzduotis_dot_1_active").fadeOut();
        $("#plotas_uzduotis_dot_2_active").fadeOut();
        $("#plotas_uzduotis_dot_3_active").fadeOut();
        $("#plotas_uzduotis_dot_4_active").fadeOut();
        $(corr + "_err").fadeIn();
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
    }
    else {
        if ($(corr).css("display") === "block") {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }
    }
}

function getAnswersWords(corr, answrs, showError, test, id, count) {
    var tries=0;
    var counter = 0;
    var correct=0;

    if (test == 1) {

    if (showError == 1) {
        $("span").each(function() {
            if ($(this).data('answ') == corr) {
                $(this).css("border", "3px solid green");
            }
        });
    }
        $(".plotas_uzduotis_8_txt_active").each(function() {
            tries++;
            if ($(this).data('answ') == corr) {
                correct++;
            }
        });

        if (tries == count) {
// return "green";
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < count && tries > 0) {
// return "yellow";
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
// return "grey";
            localStorage.setItem('color' + id, '#c2c2c2');
        }

            if (count == correct) {

                localStorage.setItem('result' + id, 1);
            }

        localStorage.setItem('resultCount' + id, correct);

    }
    else if (showError === 1) {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();

        $("span").each(function() {
            if ($(this).data('answ') === corr) {
                $(this).css("border", "3px solid green");
            }
        });
    }
    else {
        $(".plotas_uzduotis_8_txt_active").each(function() {
            if ($(this).data('answ') === corr) {
                counter++;
            }
        });
        if (counter !== answrs) {
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }
        else {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
    }
}
;

$(document).ready(function() {
    $("span.plotas_uzduotis_8_txt").click(function() {
        if ($(this).attr('class') === 'plotas_uzduotis_8_txt') {
            $(this).attr('class', 'plotas_uzduotis_8_txt_active');
        }
        else {
            $(this).attr('class', 'plotas_uzduotis_8_txt');
        }
    });

    //header

$('.main_pagination_button').click(function(){

$('.main_pagination_dropdown_list').slideUp( "slow");

//console.log($('#'+$(this).attr('id')+'_list').css('display'));

  if ( $('#'+$(this).attr('id')+'_list').css( "display")=='none') {
      $('#'+$(this).attr('id')+'_list').slideDown( "slow", function() {

        $('#'+$(this).attr('id')+'_list').css( "display",'block')

        // Animation complete.
  });
  }
  else {

    $('#'+$(this).attr('id')+'_list').slideUp( "slow", function() {

    });
  }

});

$('.main_pagination_dropdown_list_content span').hover(
  function() {
    $(this).children('img').attr('src','img/main/cloud_hover.png');
  }, function() {
    $(this).children('img').attr('src','img/main/cloud.png');
  }
);

});

//uzdaro atsakymo tikrinimo langa
$(document).ready(function() {
    $(".close_corr").click(function() {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
        $(".correct_test").fadeOut();
    });
});

$(document).ready(function() {
    $("#corr_dot").click(function() {
        $('input:radio[id="slctbl"]').attr("checked", true);
    });
});

//gauna aktyvaus html failo varda ir kreipiasi i setSeen, kuri cookiuose issaugo kaip perziureta puslapi
$(document).ready(function() {
    //var filename = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    //filename = filename.match(/([^\/]+)(?=\.\w+$)/)[0];
    //setSeen(filename);
});

//nusistato ar tai potemiu puslapis
$(document).ready(function() {
    // var filename = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    // filename = filename.match(/([^\/]+)(?=\.\w+$)/)[0];
    // if (filename === "teorine_medziaga_index") {
        // if ($.cookie("teorine_medziaga_1") === "1") {
            // setTeorineBlockSeen();
        // }
    // }
});

//teorine_medziaga_index.html aprasymo rodymas/slepimas
$(document).ready(function() {
    $("#note_hide").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#note_txt").slideUp("slow");
    });

    $("#note").click(function() {
        $("#hat").removeClass("hat_ico_active");
        $("#mok").removeClass("hat_ico_active");
        $("#note").addClass("note_ico_active");
        $("#hat_txt").slideUp("slow");
        if ($("#note_txt").css("display") === "block") {
            $("#note").removeClass("note_ico_active");
        }
        else {
            $("#note").addClass("note_ico_active");
        }
        $("#note_txt").slideToggle("slow");
        $("#mok_txt").slideUp("slow");
    });

      $("#note_hide2").click(function() {
        $("#note2").removeClass("note_ico_active");
        $("#note_txt2").slideUp("slow");
    });

    $("#note2").click(function() {
        $("#hat2").removeClass("hat_ico_active");
        $("#mok2").removeClass("hat_ico_active");
        $("#note2").addClass("note_ico_active");
        $("#hat_txt2").slideUp("slow");
        if ($("#note_txt2").css("display") === "block") {
            $("#note2").removeClass("note_ico_active");
        }
        else {
            $("#note2").addClass("note_ico_active");
        }
        $("#note_txt2").slideToggle("slow");
        $("#mok_txt2").slideUp("slow");
    });

});

$(document).ready(function() {
    $("#hat_hide").click(function() {
        $("#hat").removeClass("hat_ico_active");
        $("#hat_txt").slideUp("slow");
    });

    $("#hat").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#mok").removeClass("hat_ico_active");
        $("#hat").addClass("hat_ico_active");
        $("#note_txt").slideUp("slow");
        $("#hat_txt").slideDown("slow");
        $("#mok_txt").slideUp("slow");
    });

     $("#hat_hide2").click(function() {
        $("#hat2").removeClass("hat_ico_active");
        $("#hat_txt2").slideUp("slow");
    });

    $("#hat2").click(function() {
        $("#note2").removeClass("note_ico_active");
        $("#mok2").removeClass("hat_ico_active");
        $("#hat2").addClass("hat_ico_active");
        $("#note_txt2").slideUp("slow");
        $("#hat_txt2").slideDown("slow");
        $("#mok_txt2").slideUp("slow");
    });
});

$(document).ready(function() {
    $("#mok_hide").click(function() {
        $("#mok").removeClass("hat_ico_active");
        $("#mok_txt").slideUp("slow");
    });

    $("#mok").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#mok").addClass("hat_ico_active");
        $("#hat").removeClass("hat_ico_active");
        $("#note_txt").slideUp("slow");
        $("#hat_txt").slideUp("slow");
        $("#mok_txt").slideDown("slow");
    });
});

//teorine_medziaga_5.html spaudziant ant legendos desineje, rodomo/isjungiami zemelapio elementai
$(document).ready(function() {

    $("#debesuotumas_main").click(function() {
        $("#debesuotumas").slideToggle();
    });

    $("#vejas_main").click(function() {
        $("#vejas").slideToggle();
    });

    $("#orai_main").click(function() {
        $("#orai").slideToggle();
    });

    $("#silta_button").click(function() {
        if (document.getElementById("silta1").style.visibility === 'visible') {
            $("#silta1").css("visibility", "hidden");
        }
        else {
            $("#silta1").css("visibility", "visible");
        }
        if (document.getElementById("silta2").style.visibility === 'visible') {
            $("#silta2").css("visibility", "hidden");
        }
        else {
            $("#silta2").css("visibility", "visible");
        }
        if (document.getElementById("silta3").style.visibility === 'visible') {
            $("#silta3").css("visibility", "hidden");
        }
        else {
            $("#silta3").css("visibility", "visible");
        }
    });

    $("#okliuzija_button").click(function() {
        if (document.getElementById("okliuzija3").style.visibility === 'visible') {
            $("#okliuzija3").css("visibility", "hidden");
        }
        else {
            $("#okliuzija3").css("visibility", "visible");
        }
    });

    $("#salta_button").click(function() {
        if (document.getElementById("salta1").style.visibility === 'visible') {
            $("#salta1").css("visibility", "hidden");
        }
        else {
            $("#salta1").css("visibility", "visible");
        }
        if (document.getElementById("salta2").style.visibility === 'visible') {
            $("#salta2").css("visibility", "hidden");
        }
        else {
            $("#salta2").css("visibility", "visible");
        }
        if (document.getElementById("salta3").style.visibility === 'visible') {
            $("#salta3").css("visibility", "hidden");
        }
        else {
            $("#salta3").css("visibility", "visible");
        }
    });

});


$(document).ready(function() {
    $("#hat_hide").click(function() {
        $("#hat_txt").slideUp("slow");
    });

    $("#hat").click(function() {
        $("#hat_txt").slideDown("slow");
    });
});

//paspaudus mygtuka keicia jo klase, pakeicia paveiksleli ir jo aprasymas
$(document).ready(function() {

    $("#change_pic_first").click(function() {
        $("#second_pic").fadeOut(function() {
            $("#first_pic").fadeIn();
            $("#change_pic_first").removeClass('change_pic_button_active');
            $("#change_pic_second").removeClass('change_pic_button');
            $("#change_pic_second").removeClass('change_pic_button_active');
            $("#change_pic_first").removeClass('change_pic_button');
            $("#change_pic_first").addClass('change_pic_button_active');
            $("#change_pic_second").addClass('change_pic_button');
        });
    });

    $("#change_pic_second").click(function() {
        $("#first_pic").fadeOut(function() {
            $("#second_pic").fadeIn();
            $("#change_pic_second").removeClass('change_pic_button_active');
            $("#change_pic_first").removeClass('change_pic_button');
            $("#change_pic_first").removeClass('change_pic_button_active');
            $("#change_pic_second").removeClass('change_pic_button');
            $("#change_pic_second").addClass('change_pic_button_active');
            $("#change_pic_first").addClass('change_pic_button');
        });
    });

    $("#change_pic_1").click(function() {
        $("#change_pic_1").removeClass('change_pic_button_active');
        $("#change_pic_2").removeClass('change_pic_button');
        $("#change_pic_2").removeClass('change_pic_button_active');
        $("#change_pic_1").removeClass('change_pic_button');
        $("#change_pic_1").addClass('change_pic_button_active');
        $("#change_pic_2").addClass('change_pic_button');
        if (document.getElementById("change_text2")) {
            document.getElementById("change_text2").style.display = "block";
            document.getElementById("change_text1").style.display = "none";
        }
        $("#second_pic").css("visibility", "visible").stop(true).animate({"opacity": "1", "visibility": "visible"}, 400);
    });
    $("#change_pic_2").click(function() {
        $("#change_pic_2").removeClass('change_pic_button_active');
        $("#change_pic_1").removeClass('change_pic_button');
        $("#change_pic_1").removeClass('change_pic_button_active');
        $("#change_pic_2").removeClass('change_pic_button');
        $("#change_pic_2").addClass('change_pic_button_active');
        $("#change_pic_1").addClass('change_pic_button');
        if (document.getElementById("change_text2")) {
            document.getElementById("change_text1").style.display = "block";
            document.getElementById("change_text2").style.display = "none";
        }
        $("#second_pic").stop(true).animate({"opacity": "0", "visibility": "hidden"}, 800);
    });
});

//paspaudus mygtuka keicia jo klase, pakeicia paveiksleli ir jo aprasymas
$(document).ready(function() {
    $("#change_pic_small1").click(function() {
        document.getElementById("change_pic_small1").style.background = "url('img/change_pic_button_small_active.png') no-repeat";
        document.getElementById("change_pic_small2").style.background = "url('img/change_pic_button_small.png') no-repeat";
        $("#second_pic").css("visibility", "visible").stop(true).animate({"opacity": "1", "visibility": "visible"}, 400);
    });
    $("#change_pic_small2").click(function() {
        document.getElementById("change_pic_small2").style.background = "url('img/change_pic_button_small_active.png') no-repeat";
        document.getElementById("change_pic_small1").style.background = "url('img/change_pic_button_small.png') no-repeat";
        $("#second_pic").stop(true).animate({"opacity": "0", "visibility": "hidden"}, 800);
    });
});

//
// KETURIU IMG UZDUOTIS - funkcija kad butu pazymeti tik 2, seniausias pazymetas isnyksta paspaudus nauja
//
$(document).ready(function() {
    var myArray = [];

    imgClicked = 0;

    $("div.img_select_block").click(function() {

        $(this).find("div.img_selected").toggle('clip', {}, 500);



        y = $(this).attr('id');

        imgClicked++;
        if ($(this).data('mode') == "multi"){
            //$(this).find("div.img_selected").toggle('clip', {}, 500);
            /* Pridetas blokas 2014-08-07 kad nereiktu delioti kiekvienai uzduociai atskirai */
            if($(this).data('clicked')==0){
                $(this).data('clicked',1);
            }
            else if($(this).data('clicked')==1){
                $(this).data('clicked',0);
            }

        }
        else if ($(this).data('mode') == "mono") {

            $("div.img_select_block").each(function(index) {
                        $(this).data('clicked', 0);
            });
            $(this).data('clicked',1);

            if ($(this).attr('id') != myArray[0] && $(this).attr('id') != myArray[1] && $(this).attr('id') != myArray[2] && $(this).attr('id') != myArray[3]) {



                myArray.push($(this).attr('id'));
                if (myArray.length == 2) {
                    $("#" + myArray[0]).find("div.img_selected").toggle('clip', {}, 500);
                    myArray.shift();
                    imgClicked--;
                }
            }

            else {
                myArray = jQuery.grep(myArray, function(value)
                {
                    return value != y;
                });
            }

        }
        else {

            $(this).data('clicked',1);

            if ($(this).attr('id') != myArray[0] && $(this).attr('id') != myArray[1] && $(this).attr('id') != myArray[2] && $(this).attr('id') != myArray[3]) {


                myArray.push($(this).attr('id'));
                if (myArray.length == 3) {
                    $("#" + myArray[0]).find("div.img_selected").toggle('clip', {}, 500);
                    $("#" + myArray[0]).data("clicked",0);
                    myArray.shift();
                    imgClicked--;
                }
            }
            else {
                myArray = jQuery.grep(myArray, function(value)
                {
                    return value != y;
                });
            }
        }
    });
});
//
// END
//

/*
kiekis - kiek is viso img yra.
answ -  ar rodyti teisingus ats ar ne.
test - ar kontrolinis.
id - uzduoties id kontrolinio metu.
atsKiekis - kiek teisingu atsakymu.

Elemento turi buti id=1, id=2 ir tt,
img turi tureti atributus:
    data-true = 0/1
    data-clicked=0/1

Taip pat ideti sekanti scripta img zymejimui:

    $('.img_select_block').click(function(){
    if($(this).data('clicked')==0){
        $(this).data('clicked',1);
    }
    else if($(this).data('clicked')==1){
        $(this).data('clicked',0);
    }

}); ( Jis idetas i dragndrop.js faila, jo deti negalima, nes jie tarpusavyje susipjauna)
*/
function getAnswersImg(kiekis, correctCount, answ, test, id, atsKiekis) {

var tries = 0;
var correct = 0;
localStorage.setItem('answerCount' + id, atsKiekis);

    for(var i = 1; i<=kiekis; i++){
        $('#'+i).css('border','0px solid grey');
        if( $('#'+i).data('clicked') == 1 ){
                tries++;
            if( $('#'+i).data('true') == 1 ){
                correct++;
                if(answ == 1){
                    $('#'+i).css('border','3px solid green');
                }
            }else{
                correct--;
                if(answ == 1){
                    $('#'+i).css('border','3px solid red');
                }
            }
        }

         if( $('#'+i).data('true') == 1 && answ == 1){
            $('#'+i).css('border','3px solid green');
        }
    }


//console.log('tries '+ tries + ' correct ' + correct + ' correctCount ' + correctCount);
if (test == 1) {

        if (tries == atsKiekis) {
// return "green";
            localStorage.setItem('color' + id, '#5c9e00');
        }
        if (tries < atsKiekis && tries > 0) {
// return "yellow";
            localStorage.setItem('color' + id, '#ffa70f');
        }

        if (tries == 0) {
// return "grey";
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        localStorage.setItem('resultCount' + id, correct);


        if(correct==correctCount && correct == tries ){
            localStorage.setItem('result' + id, 1);
        }
    }
    else {
        if (correct == correctCount && tries== correct) {
            $(".black_overlay").fadeIn();
            $(".black_overlay > .correct_test").fadeIn();
        }
        else {
            if (answ == 1) {
                $(".black_overlay").fadeOut();
                $(".correct_test").fadeOut();
                $(".incorrect_test").fadeOut();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".black_overlay > .incorrect_test").fadeIn();
            }
        }
    }

}

//
// END
//
//istorijos pirmas zemelapis
$(document).ready(function() {

    function startAgression() {
        if (obj.germany === 1 && obj.italy === 1) {
            obj.germany = 0;
            obj.italy = 0;
            $("#agressionField").fadeIn(600);
        }
    }

    function endAgression() {
        $('#plane').fadeIn(1000);
        $("#plane").animate({left: '+=325', top: '-=89'}, 3000, '', function() {
            $('#sutartis').fadeIn(1000)
        });
        obj.endAgress = 1;
        $("#agressionField").fadeOut(600);
        $("#fromItaly").fadeOut(600);
        $("#fromGermany").fadeOut(600);
        $("#fromGermanyLong").fadeIn(600);
    }

    function repeatAgression() {
        $("#agressionField").fadeOut(600);
    }

    var obj = {
        italy: 0,
        germany: 0,
        endAgress: 0
    };

    $("#germany").mouseover(function() {
        $("#germany_hint").fadeIn(600);
    });
    $("#germany").mouseout(function() {
        obj.germany = 1;
        $("#germany_hint").fadeOut(600);
        if (obj.endAgress !== 1) {
            startAgression();
        }
    });

    $("#italy").mouseover(function() {
        $("#italy_hint").fadeIn(600);
    });
    $("#italy").mouseout(function() {
        obj.italy = 1;
        $("#italy_hint").fadeOut(600);
        if (obj.endAgress !== 1) {
            startAgression();
        }
    });

    $("#repeatAgress").click(function() {
        repeatAgression();
    });

    $("#endAgress").click(function() {
        endAgression();
    });

    $("#molotov").mouseover(function() {
        $("#ribentrop_info").fadeOut('', function() {
            $("#slaptas_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#molotov_info").stop().fadeIn()
                });
            });
        });
    });

    $("#molotov").mouseout(function() {
        $("#molotov_info").stop().fadeOut();
    });

    $("#ribentrop").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#slaptas_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#ribentrop_info").stop().fadeIn()
                });
            });
        });
    });

    $("#ribentrop").mouseout(function() {
        $("#ribentrop_info").stop().fadeOut();
    });

    $("#slaptas").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#ribentrop_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#slaptas_info").stop().fadeIn()
                });
            });
        });
    });

    $("#slaptas").mouseout(function() {
        $("#slaptas_info").stop().fadeOut();
    });

    $("#nepuolimas").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#ribentrop_info").fadeOut('', function() {
                $("#slaptas_info").fadeOut('', function() {
                    $("#nepuolimas_info").stop().fadeIn()
                });
            });
        });
    });

    $("#nepuolimas").mouseout(function() {
        $("#nepuolimas_info").stop().fadeOut();
    });

    $('.close_cinema').click(function() {
        $(".cinema_full").fadeOut();
    });

    $('#sutartis').click(function() {
        $(".cinema_full").fadeIn();
    });
});

//istorijos antra tema, rodo/slepia info
$(document).ready(function() {
    $("#show_more_history").click(function() {
        $("#change_text3").fadeIn();
        $("#show_more_history").fadeOut();
    });

    $("#show_all_history").click(function() {
        $("#change_text4").fadeIn();
        $("#show_all_history").fadeOut();
    });

    $("#show_all_left").click(function() {
        $("#left_half_dots").fadeToggle();
        $("#left_half_full").fadeToggle();
    });

    $("#show_all_right").click(function() {
        $("#right_half_dots").fadeToggle();
        $("#right_half_full").fadeToggle();
    });

});

//garsiakalbio ikonos hoveris
$(document).ready(function() {

    $("#speaker_ch").mouseover(function() {
        $("#speaker_ch").attr("src", "img/main/speaker_ico_active.png");
    });

    $("#speaker_ch").mouseout(function() {
        $("#speaker_ch").attr("src", "img/main/speaker_ico.png");
    });

    $("#speaker_ch_cik").mouseover(function() {
        $("#speaker_ch_cik").attr("src", "img/main/speaker_ico_active.png");
    });

    $("#speaker_ch_cik").mouseout(function() {
        $("#speaker_ch_cik").attr("src", "img/main/speaker_ico.png");
    });

    $(".speaker_ch_cik").mouseover(function() {
        $(this).attr("src", "img/main/speaker_ico_active.png");
    });

    $(".speaker_ch_cik").mouseout(function() {
        $(this).attr("src", "img/main/speaker_ico.png");
    });


});

//sudelioja random'u atsakymus
function getRandomAnsw(arg) {
    var answ = '';
    arg.sort(function() {
        return 0.5 - Math.random();
    });
    $.each(arg, function(key, value) {
        answ = answ + value;
    });
    return answ;
}

//sudelioja randomu klausimus
function getRandomas(arg) {
    len = arg.length;
    arg.sort(function() {
        return 0.5 - Math.random();
    });

    i=len;
    $.each(arg, function(key, value) {
        //value = value.replace("TESTNR", "nr" + (key + 1));
        $("div#rand_atsakymai").append($(value).css('z-index', i*100));
        i = i - 1;
    });
}

//dropdown list
//
$(document).ready(function() {
    var slide = 0;
    var active_dropdown = null;

    $(".select_list").click(function() {
                x=$(this).attr('id');
                    $(".select_list").each(function() {
                    if($(this).attr('id')!=x){
                        $(this).next("ul").slideUp();
                        }
                    });
        var options_id = $(this).attr("id");
        active_dropdown = options_id;
        $(this).next("ul").slideToggle();
        slide=1;

    });

    $("ul.list_options li").click(function() {
        $("#" + active_dropdown + "_txt").text($(this).text());
        $("#" + active_dropdown).next("ul").slideToggle();
    });

});
//
//dropdown list

$(document).ready(function() {
    /*$("#skandinavijos_pus").click(function() {
     $("#apledejimas_teorine_2").fadeOut("", function() {
     $("#a2").fadeIn();
     $("#a2_smallpics").fadeIn();
     $("#a2_big").fadeIn();
     $("#just_2ab").fadeIn();
     });
     });*/

    $("#ledyno_galas").click(function() {
        /*$("#apledejimas_teorine_2").fadeOut("", function() {
         $("#b2").fadeIn();
         $("#b2_big").fadeIn();
         $("#just_2ab").fadeIn();
         });*/
    });

    $("#hideShowApledejimas").click(function() {
        $("#a2").fadeOut("", function() {
            $("#a2_smallpics").fadeOut("", function() {
                $("#a2_big").fadeOut("", function() {
                    $("#b2").fadeOut("", function() {
                        $("#b2_big").fadeOut("", function() {
                            $("#apledejimas_teorine_2").fadeIn();
                            $("#just_2ab").fadeOut();
                        });
                    });
                });
            });
        });
    });

});

function getRandomAnsw(arg) {
    var answ = '';
    arg.sort(function() {
        return 0.5 - Math.random();
    });
    $.each(arg, function(key, value) {
        answ = answ + value;
    });
    return answ;
}

function getRandom(arg) {

    arg.sort(function() {
        return 0.5 - Math.random();
    });

    $.each(arg, function(key, value) {
        value = value.replace("TESTNR", "nr" + (key + 1));
        $("#kontrolinis_testas").append(value);
    });
}



$(document).ready(function() {
var i = 1;
    $('#plus').click(function() {
        i = i +0.1;
        var x = "Browser Name: " + navigator.appName +  ' appCodeName ' + navigator.appCodeName + ' appVersion ' + navigator.appVersion;
        //console.log(x);
        var n = x.search("Chrome");
        //console.log('n= ' + n);
        if(n>=0){
           $('body').css('zoom',i);
        }else{
            $('body').transition({scale: ($('body').css('scale') + 0.1)});
        }

    });
    $('#minus').click(function() {
        i = i - 0.1;
        var x = "Browser Name: " + navigator.appName +  ' appCodeName ' + navigator.appCodeName + ' appVersion ' + navigator.appVersion;
        var n = x.search("Chrome");
        if(n>=0){
           $('body').css('zoom',i);
        }else{
            $('body').transition({scale: ($('body').css('scale') - 0.1)});
        }
    });

    $("#minus").hover(
            function() {
                $(this).attr("src", 'img/main/minusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/main/minusasHoverno.png');
            }
    );

    $("#plus").hover(
            function() {
                $(this).attr("src", 'img/main/pliusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/main/pliusasHoverno.png');
            }
    );

});

//***********ES teorijos menu***
$(document).ready(function() {

    function fadeinout(element, action) {
        if (action === "in") {
            $(element).fadeIn();
        }
        else if (action === "out") {
            if ($(element).attr("id") !== "active_date")
                $(element).fadeOut();
        }
    }

//***** 1950 *****
    $("#date_1950").mouseover(function() {
        fadeinout(".date_1950", "in");
    });

    $(".date_1950").mouseout(function() {
        fadeinout(".date_1950", "out");
    });

//***** 1951 *****
    $("#date_1951").mouseover(function() {
        fadeinout(".date_1951", "in");
    });

    $(".date_1951").mouseout(function() {
        fadeinout(".date_1951", "out");
    });

//***** 1957 *****
    $("#date_1957").mouseover(function() {
        fadeinout(".date_1957", "in");
    });

    $(".date_1957").mouseout(function() {
        fadeinout(".date_1957", "out");
    });

//***** 1967 *****
    $("#date_1967").mouseover(function() {
        fadeinout(".date_1967", "in");
    });

    $(".date_1967").mouseout(function() {
        fadeinout(".date_1967", "out");
    });

//***** 1993 *****
    $("#date_1993").mouseover(function() {
        fadeinout(".date_1993", "in");
    });

    $(".date_1993").mouseout(function() {
        fadeinout(".date_1993", "out");
    });

});
//***********ES teorijos menu***

//**********ES uzduotis nr7***********

$(document).ready(function() {

    function clearBorder() {
        $("#es7_1_city").css("border", "3px solid #c2c2c2");
        $("#es7_2_city").css("border", "3px solid #c2c2c2");
        $("#es7_3_city").css("border", "3px solid #c2c2c2");
        $("#es7_4_city").css("border", "3px solid #c2c2c2");
    }

    function clearPId() {
        $("#es7_1_city p").attr("id", "");
        $("#es7_2_city p").attr("id", "");
        $("#es7_3_city p").attr("id", "");
        $("#es7_4_city p").attr("id", "");
    }

    $("#es7_1").click(function() {
        clearBorder();
        $("#es7_1_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_1_city p").attr("id", "selected");
    });

    $("#es7_2").click(function() {
        clearBorder();
        $("#es7_2_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_2_city p").attr("id", "selected");
    });

    $("#es7_3").click(function() {
        clearBorder();
        $("#es7_3_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_3_city p").attr("id", "selected");
    });

    $("#es7_4").click(function() {
        clearBorder();
        $("#es7_4_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_4_city p").attr("id", "selected");
    });

    $(".city_point").click(function() {
        $("#selected").text($(this).children().text());
    });
});
function es_i7_tikrinimas(show, test, id, atsKiekis) {
    tries = 0;
    correct = 0;
    i = 4;
    if ($('#es7_1_city').children('p').text() == "Frankfurtas") {
        correct++;
        if (show == 1) {
            $("#es7_1_city").css("border", "3px solid green");
        }
    }
    if ($('#es7_2_city').children('p').text() == "Liuksemburgas") {
        correct++;
        if (show == 1) {
            $("#es7_2_city").css("border", "3px solid green");
        }
    }
    if ($('#es7_3_city').children('p').text() == "Strasbūras") {
        correct++;
        if (show == 1) {
            $("#es7_3_city").css("border", "3px solid green");
        }
    }
    if ($('#es7_4_city').children('p').text() == "Briuselis") {
        correct++;
        if (show == 1) {
            $("#es7_4_city").css("border", "3px solid green");
        }
    }

    while (i > 0) {

        if ($('#es7_' + i + '_city').children('p').text().length > 1)
        {
            tries++
        }
        ;
        i--;
    }
    if (test == 1) {

        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }


        if (correct == atsKiekis) {

            localStorage.setItem('result' + id, 1);
        }


        localStorage.setItem('resultCount' + id, correct);

    }
    else {

        if (correct === 4) {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            if (show === "1") {
                $(".black_overlay").fadeOut();
                $(".incorrect_test").fadeOut();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".incorrect_test").fadeIn();
            }
        }
    }

}
//**********ES uzduotis nr7***********

//**********ES kurybine uzduotis *************
$(document).ready(function() {
    $('.img_upload').bind("click", function() {
        $('#files').click();
    });

    $('.img_upload2').bind("click", function() {
        $('#files2').click();
    });

    $('.img_upload3').bind("click", function() {
        $('#files3').click();
    });
});
//**********ES kurybine uzduotis *************

//***********Sandura kurybines upload***************
$(document).ready(function() {
    $('#sandura_upload_1').bind("click", function() {
        $('#files1').click();
    });
    $('#sandura_upload_2').bind("click", function() {
        $('#files2').click();
    });
    $('#sandura_upload_3').bind("click", function() {
        $('#files3').click();
    });
    $('#sandura_upload_4').bind("click", function() {
        $('#files4').click();
    });
    $('#sandura_upload_5').bind("click", function() {
        $('#files5').click();
    });
    $('#sandura_upload_6').bind("click", function() {
        $('#files6').click();
    });
    $('#sandura_upload_7').bind("click", function() {
        $('#files7').click();
    });
    $('#sandura_upload_8').bind("click", function() {
        $('#files8').click();
    });
    $('#sandura_upload_9').bind("click", function() {
        $('#files9').click();
    });
    $('#sandura_upload_10').bind("click", function() {
        $('#files10').click();
    });
    $('#sandura_upload_11').bind("click", function() {
        $('#files11').click();
    });
    $('#sandura_upload_12').bind("click", function() {
        $('#files12').click();
    });
    $("img#sandura_upl_1_rem").click(function() {
        console.log($(this).attr("id").text.replace("_rem"));
    });


});
//***********Sandura kurybines upload***************

//*****************sandura islandija*************
$(document).ready(function() {
    $(".islandija").click(function() {
        $(".islandija_active").fadeIn();
    });
});
//*****************sandura islandija*************

//******************lietuvos plotas uzduotis 5************************
$(document).ready(function() {
    $("#plotas_uzduotis_dot_1").click(function() {
        $("#plotas_uzduotis_dot_2_active").fadeOut();
        $("#plotas_uzduotis_dot_3_active").fadeOut();
        $("#plotas_uzduotis_dot_4_active").fadeOut();
        $("#plotas_uzduotis_dot_1_active").fadeIn();
    });

    $("#plotas_uzduotis_dot_2").click(function() {
        $("#plotas_uzduotis_dot_4_active").fadeOut();
        $("#plotas_uzduotis_dot_3_active").fadeOut();
        $("#plotas_uzduotis_dot_1_active").fadeOut();
        $("#plotas_uzduotis_dot_2_active").fadeIn();
    });

    $("#plotas_uzduotis_dot_3").click(function() {
        $("#plotas_uzduotis_dot_2_active").fadeOut();
        $("#plotas_uzduotis_dot_1_active").fadeOut();
        $("#plotas_uzduotis_dot_4_active").fadeOut();
        $("#plotas_uzduotis_dot_3_active").fadeIn();
    });

    $("#plotas_uzduotis_dot_4").click(function() {
        $("#plotas_uzduotis_dot_2_active").fadeOut();
        $("#plotas_uzduotis_dot_3_active").fadeOut();
        $("#plotas_uzduotis_dot_1_active").fadeOut();
        $("#plotas_uzduotis_dot_4_active").fadeIn();
    });
});
//******************lietuvos plotas uzduotis 5************************

//******************************RAIDA******************
$(document).ready(function() {
    $(".raida_menu_2_1").click(function() {
        $(this).attr("class", "raida_menu_2_1_active");
        $(".raida_menu_2_2_active").attr("class", "raida_menu_2_2");
        $("#teorine_raida_2_2").fadeOut("", function() {
            $("#teorine_raida_2_1").fadeIn();
        });

        $("html, body").animate({scrollTop: $(document).height()}, "slow");
        return false;
    });

    $(".raida_menu_2_2").click(function() {
        $(this).attr("class", "raida_menu_2_2_active");
        $(".raida_menu_2_1_active").attr("class", "raida_menu_2_1");
        $("#teorine_raida_2_1").fadeOut("", function() {
            $("#teorine_raida_2_2").fadeIn();
        });
        $("html, body").animate({scrollTop: $(document).height()}, "slow");
        return false;
    });
});
//******************************RAIDA******************
//******************************PAZINIMAS******************
$(document).ready(function() {
    $(".pazinimas_menu_2_1").click(function() {
        $(this).attr("class", "pazinimas_menu_2_1_active");
        $(".pazinimas_menu_2_2_active").attr("class", "pazinimas_menu_2_2");
        $("#teorine_pazinimas_2_2").fadeOut("", function() {
            $("#teorine_pazinimas_2_1").fadeIn();
        });

        $("html, body").animate({scrollTop: $(document).height()}, "slow");
        return false;
    });

    $(".pazinimas_menu_2_2").click(function() {
        $(this).attr("class", "pazinimas_menu_2_2_active");
        $(".pazinimas_menu_2_1_active").attr("class", "pazinimas_menu_2_1");
        $("#teorine_pazinimas_2_1").fadeOut("", function() {
            $("#teorine_pazinimas_2_2").fadeIn();
        });
        $("html, body").animate({scrollTop: $(document).height()}, "slow");
        return false;
    });
});
//******************************PAZINIMAS******************

//***************bruozai****************
$(document).ready(function() {
    $(".lietuva_button_bruozai").click(function() {
        $("#bruozai_teorija_txt").fadeIn();
        $("#bruozai_hide").fadeOut("", function() {
            $("#bruozai_pic").fadeIn();
        });
    });
});
//***************bruozai****************

//***********ES uzduotys su maps'ais
function getMapAnsw2(showCorr, test, id, atsKiekis) {
    tries = 0;
    correct = 0;
    if (showCorr !== '1') {
        if (($(".es_uzduotis_prancuzija").css("display") == "block")
                && ($(".es_uzduotis_belgija").css("display") == "block")
                && ($(".es_uzduotis_olandija").css("display") == "block")
                && ($(".es_uzduotis_liuksemburgas").css("display") == "block")
                && ($(".es_uzduotis_italija").css("display") == "block")
                && ($(".es_uzduotis_vfr").css("display") == "block")
                )
        {
            //teisingai
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            //neteisingai
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }
    }
    if (test == 1) {
        if ($(".es_uzduotis_prancuzija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_belgija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_olandija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_liuksemburgas").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_italija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_vfr").css("display") == "block") {
            tries++;
            correct++;
        }
        ;



        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (correct == atsKiekis) {
            localStorage.setItem('result' + id, 1);
        }

        localStorage.setItem('resultCount' + id, correct);


    }
    if (showCorr == '1' && test != 1) {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
        $(".es_uzduotis_prancuzija_corr").fadeIn();
        $(".es_uzduotis_belgija_corr").fadeIn();
        $(".es_uzduotis_olandija_corr").fadeIn();
        $(".es_uzduotis_liuksemburgas_corr").fadeIn();
        $(".es_uzduotis_italija_corr").fadeIn();
        $(".es_uzduotis_vfr_corr").fadeIn();
        $(".es_uzduotis_prancuzija").fadeIn();
        $(".es_uzduotis_belgija").fadeIn();
        $(".es_uzduotis_olandija").fadeIn();
        $(".es_uzduotis_liuksemburgas").fadeIn();
        $(".es_uzduotis_italija").fadeIn();
        $(".es_uzduotis_vfr").fadeIn();
    }
}

$(document).ready(function() {
    $(".es_uzduotis_prancuzija_btn").click(function() {
        $(".es_uzduotis_prancuzija").fadeToggle();
    });
    $(".es_uzduotis_belgija_btn").click(function() {
        $(".es_uzduotis_belgija").fadeToggle();
    });
    $(".es_uzduotis_olandija_btn").click(function() {
        $(".es_uzduotis_olandija").fadeToggle();
    });
    $(".es_uzduotis_liuksemburgas_btn").click(function() {
        $(".es_uzduotis_liuksemburgas").fadeToggle();
    });
    $(".es_uzduotis_vfr_btn").click(function() {
        $(".es_uzduotis_vfr").fadeToggle();
    });
    $(".es_uzduotis_italija_btn").click(function() {
        $(".es_uzduotis_italija").fadeToggle();
    });
});

function getMapAnsw(showCorr, test, id, atsKiekis) {
    tries = 0;
    correct = 0;
    if (showCorr !== '1' && test != 1) {
        if (($(".es_uzduotis_estija").css("display") == "block")
                && ($(".es_uzduotis_latvija").css("display") == "block")
                && ($(".es_uzduotis_lietuva").css("display") == "block")
                && ($(".es_uzduotis_lenkija").css("display") == "block")
                && ($(".es_uzduotis_cekija").css("display") == "block")
                && ($(".es_uzduotis_slovakija").css("display") == "block")
                && ($(".es_uzduotis_slovenija").css("display") == "block")
                && ($(".es_uzduotis_vengrija").css("display") == "block")
                && ($(".es_uzduotis_kipras").css("display") == "block")
                && ($(".es_uzduotis_malta").css("display") == "block")
                )
        {
            //teisingai
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            //neteisingai
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }
    }
    if (test == 1) {
        if ($(".es_uzduotis_estija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_slovenija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_latvija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        // if ($(".es_uzduotis_lietuva").css("display") == "block") {
            // tries++;
            // correct++;
        // }
        // ;
        if ($(".es_uzduotis_lenkija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_cekija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_slovakija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_vengrija").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_kipras").css("display") == "block") {
            tries++;
            correct++;
        }
        ;
        if ($(".es_uzduotis_malta").css("display") == "block") {
            tries++;
            correct++;
        }
        ;



        if (tries == atsKiekis) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < atsKiekis && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (correct == atsKiekis) {
            localStorage.setItem('result' + id, 1);
        }

        localStorage.setItem('resultCount' + id, correct);


    }
    if (showCorr == '1' && test != 1) {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
        $(".es_uzduotis_latvija_corr").fadeIn();
        // $(".es_uzduotis_lietuva_corr").fadeIn();
        $(".es_uzduotis_estija_corr").fadeIn();
        $(".es_uzduotis_lenkija_corr").fadeIn();
        $(".es_uzduotis_cekija_corr").fadeIn();
        $(".es_uzduotis_slovakija_corr").fadeIn();
        $(".es_uzduotis_slovenija_corr").fadeIn();
        $(".es_uzduotis_vengrija_corr").fadeIn();
        $(".es_uzduotis_kipras_corr").fadeIn();
        $(".es_uzduotis_malta_corr").fadeIn();
        $(".es_uzduotis_latvija").fadeIn();
        // $(".es_uzduotis_lietuva").fadeIn();
        $(".es_uzduotis_estija").fadeIn();
        $(".es_uzduotis_lenkija").fadeIn();
        $(".es_uzduotis_cekija").fadeIn();
        $(".es_uzduotis_slovakija").fadeIn();
        $(".es_uzduotis_slovenija").fadeIn();
        $(".es_uzduotis_vengrija").fadeIn();
        $(".es_uzduotis_kipras").fadeIn();
        $(".es_uzduotis_malta").fadeIn();
    }
}

$(document).ready(function() {
    $(".es_uzduotis_estija_btn").click(function() {
        $(".es_uzduotis_estija").fadeToggle("", function() {
            //console.log($(".es_uzduotis_estija").css("display"));
        });
    });
    $(".es_uzduotis_latvija_btn").click(function() {
        $(".es_uzduotis_latvija").fadeToggle();
    });
    // $(".es_uzduotis_lietuva_btn").click(function() {
        // $(".es_uzduotis_lietuva").fadeToggle();
    // });
    $(".es_uzduotis_lenkija_btn").click(function() {
        $(".es_uzduotis_lenkija").fadeToggle();
    });
    $(".es_uzduotis_cekija_btn").click(function() {
        $(".es_uzduotis_cekija").fadeToggle();
    });
    $(".es_uzduotis_vengrija_btn").click(function() {
        $(".es_uzduotis_vengrija").fadeToggle();
    });
    $(".es_uzduotis_slovakija_btn").click(function() {
        $(".es_uzduotis_slovakija").fadeToggle();
    });
    $(".es_uzduotis_slovenija_btn").click(function() {
        $(".es_uzduotis_slovenija").fadeToggle();
    });
    $(".es_uzduotis_malta_btn").click(function() {
        $(".es_uzduotis_malta").fadeToggle();
    });
    $(".es_uzduotis_kipras_btn").click(function() {
        $(".es_uzduotis_kipras").fadeToggle();
    });
});
//***********ES uzduotys su maps'ais
